// layout.tsx
import { Inter } from "next/font/google";
import "./globals.css";
import PCHeader from "@/app/components/PCHeader";
import Footer from "@/app/components/Footer";
import ClientLayout from "@/app/components/ClientLayout"; // Client Component for client-side logic

const inter = Inter({ subsets: ["latin"] });

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={`${inter.className} bg-black text-white min-h-screen`}>
        <div className="flex flex-col min-h-screen">
          {/* PC Header */}
          <div className="hidden md:block">
            <PCHeader />
          </div>

          {/* Main content and Client-side layout */}
          <main className="flex-grow">
            <ClientLayout>{children}</ClientLayout>
          </main>

          {/* PC Footer */}
          <div className="hidden md:block">
            <Footer />
          </div>
        </div>
      </body>
    </html>
  );
}
